# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gw2/version'

Gem::Specification.new do |spec|
  spec.name          = "gw2_ruby"
  spec.version       = GW2::VERSION
  spec.authors       = ["Andrew Turner"]
  spec.email         = ["sunspar@sunspar.net"]

  spec.summary       = %q{Ruby wrapper for the Guild Wars 2 REST API.}
  spec.homepage      = "http://www.sunspar.net"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Development dependencies
  spec.add_development_dependency "bundler",      "~>  1.9"
  spec.add_development_dependency "rake",         "~> 10.0"

  # Runtime dependencies
  spec.add_runtime_dependency "faraday",          "~> 0.9"
  spec.add_runtime_dependency "faraday_middleware"
  spec.add_runtime_dependency "json",             "~> 1.8"

end
